#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,320,640,1344,2048,2368,2752,5568
 * N : 25,128,192,256,320,640,1344,2048,2368,2752,5568
 * NB : 5,8,12,64,64,64,128,128,128,144,128
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 5; \
   else if ((n_) < 160) (nb_) = 8; \
   else if ((n_) < 224) (nb_) = 12; \
   else if ((n_) < 992) (nb_) = 64; \
   else if ((n_) < 2560) (nb_) = 128; \
   else if ((n_) < 4160) (nb_) = 144; \
   else (nb_) = 128; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
